## fonts-lohit-gujr 2.92.4

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist

version:= 2.92.4

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Gujarati.sfd Lohit-Gujarati.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Gujarati.ttf Lohit-Gujarati.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Gujarati.ttf Lohit-Gujarati.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-gujarati-ttf-$(version)
	cp -p COPYRIGHT OFL.txt test-gujarati.txt README  AUTHORS  ChangeLog 66-lohit-gujarati.conf Lohit-Gujarati.ttf io.pagure.lohit.gujarati.font.metainfo.xml lohit-gujarati-ttf-$(version)
	rm -rf lohit-gujarati-ttf-$(version)/.git
	tar -cf lohit-gujarati-ttf-$(version).tar lohit-gujarati-ttf-$(version)
	gzip lohit-gujarati-ttf-$(version).tar
	rm -rf lohit-gujarati-ttf-$(version)

sfd-dist: dist
	mkdir lohit-gujarati-$(version)
	cp -p COPYRIGHT OFL.txt test-gujarati.txt README  AUTHORS generate*.pe *.py *.fea Makefile ChangeLog 66-lohit-gujarati.conf Lohit-Gujarati.sfd io.pagure.lohit.gujarati.font.metainfo.xml lohit-gujarati-$(version)
	rm -rf lohit-gujarati-$(version)/.git
	rm -rf lohit-gujarati-$(version)/*.ttf
	tar -cf lohit-gujarati-$(version).tar lohit-gujarati-$(version)
	gzip lohit-gujarati-$(version).tar
	rm -rf lohit-gujarati-$(version)

web-dist: webdist
	mkdir lohit-gujarati-web-$(version)
	cp -p COPYRIGHT OFL.txt test-gujarati.txt README  AUTHORS  ChangeLog Lohit-Gujarati.woff  Lohit-Gujarati.eot lohit-gujarati-web-$(version)
	rm -rf lohit-gujarati-web-$(version)/.git
	tar -cf lohit-gujarati-web-$(version).tar lohit-gujarati-web-$(version)
	gzip lohit-gujarati-web-$(version).tar
	rm -rf lohit-gujarati-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-gujarati*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version

## fonts-lohit-gujr 2.5.1

=== debian/changelog ===
fonts-lohit-gujr (2.5.1-1) unstable; urgency=low

  * Team upload.
  * Split from ttf-gujarati-fonts.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Sun, 04 Mar 2012 21:16:46 +0530

=== debian/control ===
Source: fonts-lohit-gujr
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-gu.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-gu.git;a=summary

Package: fonts-lohit-gujr
Architecture: all
Depends: ${misc:Depends}
Breaks: ttf-gujarati-fonts (<= 1:0.5.12)
Replaces: ttf-gujarati-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Gujarati Language
 This package provides Lohit TrueType font for Guajrati language which is
 primarily used in Indian state of Gujarat.

## fonts-lohit-gujr 2.5.3

=== debian/changelog ===
fonts-lohit-gujr (2.5.3-1) unstable; urgency=low

  * Imported Upstream version 2.5.3
  * Fixed the Vcs-* fields to use canonical url anonscm.d.o.
  * Marked the package as Multi-Arch foreign
  * Added links  folder to install the 66-lohit-gujarati.conf symlink to
    /etc/fonts/conf.d folder.
  * Upload to unstable.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Jun 2013 16:15:14 +0530

fonts-lohit-gujr (2.5.2-1) experimental; urgency=low

  * Team Upload.
  * Imported Upstream version 2.5.2

  [Vasudev Kamath]
  * debian/control:
    + Bumped Standards-Version to 3.9.4, this did not require any change
      to the package source.
    + Updated Vcs-Browse field to point to anonscm.d.o instead of git.d.o.
  * debian/copyright:
    + Added Upstream-Contact field

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Dec 2012 14:15:29 +0530

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
            Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                fontforge
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/lohit/
-Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-gu.git
-Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-gu.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-gu.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-gu.git
 
 Package: fonts-lohit-gujr
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: ttf-gujarati-fonts (<= 1:0.5.12)
 Replaces: ttf-gujarati-fonts (<= 1:0.5.12)

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-gujarati-(\d\.\d\.\d\.*\d*)\.tar\.gz

## fonts-lohit-gujr 2.92.2

=== debian/changelog ===
fonts-lohit-gujr (2.92.2-2) unstable; urgency=low

  * Really fixed debian/watch.
  * Bumped debhelper to 9.
  * debian/control:
    + Updated Standards-Version to 3.9.8
    + Fixed Vcs-* URLs.
    + Updated Vasudev's email address in uploaders field.

 -- Kartik Mistry <kartik@debian.org>  Tue, 13 Sep 2016 21:02:34 +0530

fonts-lohit-gujr (2.92.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch file.
  * debian/control:
    + Bumped Standards-Version to 3.9.6
    + Updated Build-Depends.
  * debian/rules:
    + Only build ttf files.
  * debian/docs:
    + Updated as per new release.

 -- Kartik Mistry <kartik@debian.org>  Wed, 05 Aug 2015 17:23:50 +0530

=== debian/control ===
Source: fonts-lohit-gujr
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 9), fontforge, python-fontforge
Standards-Version: 3.9.8
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: https://anonscm.debian.org/git/debian-in/fonts-lohit-gu.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-in/fonts-lohit-gu.git

Package: fonts-lohit-gujr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ttf-gujarati-fonts (<= 1:0.5.12)
Replaces: ttf-gujarati-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Gujarati Language
 This package provides Lohit TrueType font for Guajrati language which is
 primarily used in Indian state of Gujarat.

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-gujarati-([\d\.]*)\.tar\.gz

## fonts-lohit-gujr 2.92.4

=== debian/changelog ===
fonts-lohit-gujr (2.92.4-6) unstable; urgency=low

  * debian/rules, debian/install:
    + Fix failure to build source after successful build (Closes: #1044571)
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant field: Priority.
    + Fixed typo in the description.

 -- Kartik Mistry <kartik@debian.org>  Wed, 21 Jan 2026 13:57:27 +0530

fonts-lohit-gujr (2.92.4-5) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.7.2
    + Depends on debhelper-compat 13
  * Updated debian/watch to standard 5.
  * Added debian/upstream/metadata file.
  * Updated debian/copyright.
  * Fixed patch header.
  * Removed obsolete debian/README.Debian.

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Jan 2026 13:20:31 +0530

fonts-lohit-gujr (2.92.4-4) unstable; urgency=medium

  [ Hideki Yamane ]
  * Use python3-fontforge (Closes: #943011)
  * Update Build-Depends to fontforge-nox.

  [ Kartik Mistry ]
  * Added debian/gitlab-ci.yml file.
  * debian/control:
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.

 -- Kartik Mistry <kartik@debian.org>  Sat, 04 Apr 2020 11:33:09 +0530

fonts-lohit-gujr (2.92.4-3) unstable; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Set Maintainer to Debian Fonts Task Force.
    + Updated Standards-Version to 4.2.1
  * Bumped to dh 11.
  * debian/copyright:
    + Updated URL.

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Nov 2018 10:49:39 +0530

fonts-lohit-gujr (2.92.4-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Don't fail the build for failing tests yet
  * debian/docs: Install AUTHORS
  * Install appstream metadata
  * Add fix-appstream-metadata.patch

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Jun 2017 19:17:36 +0530

fonts-lohit-gujr (2.92.4-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release.
  * debian/watch:
    + Updated for new upstream location.
  * debian/control:
    + Updated Standards-Version to 4.0.0
    + Updated Homepage field.
  * debian/copyright:
    + Update source URL.

 -- Kartik Mistry <kartik@debian.org>  Thu, 22 Jun 2017 21:49:03 +0530

=== debian/control ===
Source: fonts-lohit-gujr
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 13), fontforge-nox, python3-fontforge
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-gu.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-gu

Package: fonts-lohit-gujr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ttf-gujarati-fonts (<= 1:0.5.12)
Replaces: ttf-gujarati-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Gujarati Language
 This package provides Lohit TrueType font for Gujarati language which is
 primarily used in Indian state of Gujarat.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FONT := Gujarati
BUILDDIR := build

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(BUILDDIR)
	cp Lohit-$(FONT).sfd $(BUILDDIR)/
	fontforge -lang=py -script apply_featurefile.py \
		$(BUILDDIR)/Lohit-$(FONT).sfd Lohit-$(FONT).fea Lohit-$(FONT).sfd
	(cd $(BUILDDIR) && fontforge -script ../generate.pe Lohit-$(FONT).sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-gujarati-([\d\.]*)\.tar\.gz
